cURL
curl --request GET \
--url https://api.maesn.dev/accounting/items/{itemId} \
--header 'X-ACCOUNT-KEY: <x-account-key>' \
--header 'X-API-KEY: <x-api-key>'import requests
url = "https://api.maesn.dev/accounting/items/{itemId}"
headers = {
"X-API-KEY": "<x-api-key>",
"X-ACCOUNT-KEY": "<x-account-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-KEY': '<x-api-key>', 'X-ACCOUNT-KEY': '<x-account-key>'}
};
fetch('https://api.maesn.dev/accounting/items/{itemId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"warnings": [
"Field not used by target system"
],
"pagination": {
"total": 125,
"perPage": 50,
"currentPage": 1,
"totalPages": 3
}
},
"data": [
{
"id": "02c74e8a-b95b-ef11-bfe2-002248e5aac5",
"assetAccountId": "80",
"expenseAccountId": "81",
"incomeAccountId": "79",
"inventoryStartDate": "2021-01-01",
"itemNumber": "12345-A",
"lastModifiedDate": "2021-01-01T00:00:00Z",
"name": "Handmade Plastic Chair",
"priceIncludesTax": true,
"stockCount": 11,
"taxCode": "TAX19",
"taxRatePercentage": 19,
"type": "PRODUCT",
"unitName": "PIECE",
"unitPurchasePrice": 10,
"unitSalesPrice": 20.5
}
]
}Items
Get item
GET
/
accounting
/
items
/
{itemId}
cURL
Field support per integration

bexio
bexio

Business Central
Business Central
If you’re not using the Interactive Authentication Flow, make sure the query parameters
environmentName and companyId are correctly populated.
You can obtain these values by using the GET Environments and GET Companies endpoints available under the Authentication section.boolean
string
string
boolean
number
enum
Available options:
PRODUCT, SERVICEstring
number
number

Lexware Office
Lexware Office

QuickBooks
QuickBooks

Sage Active
Sage Active
If you’re not using the Interactive Authentication Flow, make sure the query parameter
companyId is correctly populated.
You can obtain this value by using the GET Companies endpoint available under the Authentication section. Please use the id field as the companyId.boolean
string
string
boolean
number
enum
Available options:
PRODUCT, SERVICEnumber
enum
Available options:
HOUR, KILOGRAM, LITRE, METRE, MILLILITRE, MILLIGRAM, PACK, SQUARE_METRE, TONNE, UNIT,
CUBIC_METRE, DAY, GRAM, KILOMETRE, MONTH, NIGHT, NOT_UNIT, PERCENTAGECustomized values are supported.
Last modified on August 17, 2026
Was this page helpful?